Want to skip the docs? Use the MCP Server
Endpoint availability: Premium and aboveLearn more
{
"data": {
"asn": "AS9112",
"name": "POZMAN",
"country": "PL",
"org": "Institute of Bioorganic Chemistry Polish Academy of Science, Poznan Supercomputing and Networking Center",
"phone": "+48 61 8582010",
"email": null,
"domain": "poznan.pl",
"status": "ASSIGNED",
"created": "2004-04-17T11:47:57Z",
"type": "education",
"registry": "RIPE",
"prefixes": {
"ipv4": ["150.254.0.0/16", "62.3.160.0/19"],
"ipv6": ["2001:808::/35"],
"total": 3
}
},
"status": "success",
"executionTime": 0
}
{
"status": "error",
"code": 101,
"type": "invalid_key",
"description": "The API Key is missing or invalid."
}
ASN Lookup
curl --request GET \
--url https://greipapi.com/lookup/asn \
--header 'Authorization: Bearer <token>'import requests
url = "https://greipapi.com/lookup/asn"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://greipapi.com/lookup/asn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"asn": "AS9112",
"name": "POZMAN",
"country": "PL",
"org": "Institute of Bioorganic Chemistry Polish Academy of Science, Poznan Supercomputing and Networking Center",
"phone": "+48 61 8582010",
"email": null,
"domain": "poznan.pl",
"status": "ASSIGNED",
"created": "2004-04-17T11:47:57Z",
"type": "education",
"registry": "RIPE",
"prefixes": {
"ipv4": ["150.254.0.0/16", "62.3.160.0/19"],
"ipv6": ["2001:808::/35"],
"total": 3
}
},
"status": "success",
"executionTime": 0
}
{
"status": "error",
"code": 101,
"type": "invalid_key",
"description": "The API Key is missing or invalid."
}
Data Lookup
ASN Lookup
This API method allows you to look up any given Autonomous System Number (ASN) and retrieve comprehensive data associated with it.
The information returned includes the ASN name, organization name, country, associated domain, contact email, phone number, and more. This functionality is essential for network analysis, troubleshooting, and understanding the infrastructure behind IP addresses.
Want to skip the docs? Use the MCP Server
Endpoint availability: Premium and aboveLearn more
{
"data": {
"asn": "AS9112",
"name": "POZMAN",
"country": "PL",
"org": "Institute of Bioorganic Chemistry Polish Academy of Science, Poznan Supercomputing and Networking Center",
"phone": "+48 61 8582010",
"email": null,
"domain": "poznan.pl",
"status": "ASSIGNED",
"created": "2004-04-17T11:47:57Z",
"type": "education",
"registry": "RIPE",
"prefixes": {
"ipv4": ["150.254.0.0/16", "62.3.160.0/19"],
"ipv6": ["2001:808::/35"],
"total": 3
}
},
"status": "success",
"executionTime": 0
}
{
"status": "error",
"code": 101,
"type": "invalid_key",
"description": "The API Key is missing or invalid."
}
GET
/
lookup
/
asn
ASN Lookup
Query Parameters
string
required
The asn command is used to specify the AS Number you want to lookup.Sample value:
AS6167 or 6167string
default:"JSON"
The format command is used to get a response in a specific format.Expected values:
JSON, XML, CSV, or NewlineFor more information please refer to Response Format.string
default:"live"
The mode command is used to in the development stage to simulate the integration process before releasing it to the production environment.Expected values:
live, or test.For more information please refer to Development Environment.string
The callback command can help you make the response as a JSONP format.Expected values: any name that can be used as a function name in Javascript, e.g:
myFunctionName.For more information please refer to JSONP Callback.Response properties
object
required
Hide properties
Hide properties
string
required
Autonomous System Number youâre looking up.
string
required
Name of the organization.
string
required
Country code of the organization.
string
required
Organization name.
string
required
Phone number contact for the organization.
string
required
Email contact for the organization.
string
required
Domain associated with the organization.
string
required
Status of the organization.
string
required
Date of organization creation.
string
required
Type of organization (âispâ, âhostingâ, âbusinessâ, âeducationâ, or
âgovernmentâ).
string
required
Registration information of the organization.
string
required
Response status (
success, or error).integer
required
Time taken to process the data (in milliseconds).
Was this page helpful?
âI